#!/bin/bash
# Created by Fouad Sethna and Gerard Briscoe.
# Released under GPL.

EN=`system_profiler -xml SPNetworkDataType | grep -A1000 "<string>AirPort</string>" | grep -m 1 -A1 "<key>interface</key>" | grep "<string>" | sed 's/>/ /g' | sed 's/</ /g' | awk '{print $2}'`
HWMAC=`system_profiler -xml SPNetworkDataType | grep -B1000 ${EN} | grep -A1 "<key>MAC Address</key>" | tail -1 | grep "<string>" | sed 's/>/ /g' | sed 's/</ /g' | awk '{print $2}'`
AIRPORTMAC=`ifconfig $EN | grep ether| awk '{print $2}'`

echo $EN $HWMAC $AIRPORTMAC;
